| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Slots | Protected Member Functions | List of all members
BluetoothDeviceDialog Class Reference

Dialog displaying detail information about a Bluetooth device. More...

`#include <bluetooth_device_dialog.h>`

Inheritance diagram for BluetoothDeviceDialog:

## Signals
void | updateFilter (QString &filter, bool force=false)
| Emitted when the display filter should be updated.
void | captureFileChanged (capture_file *cf)
| Emitted when the capture file changes.
void | goToPacket (int packet_num)
| Emitted when the view should navigate to a specific packet.

## Public Member Functions
| BluetoothDeviceDialog (QWidget &parent, CaptureFile &cf, QString bdAddr, QString name, uint32_t interface_id, uint32_t adapter_id, bool is_local)
| Construct a BluetoothDeviceDialog.
| ~BluetoothDeviceDialog ()
| Destroy the BluetoothDeviceDialog.
Public Member Functions inherited from WiresharkDialog
| WiresharkDialog (QWidget &parent, CaptureFile &capture_file)
| Constructs a new WiresharkDialog object.
bool | fileClosed () const
| Checks if the capture file has been closed.
Public Member Functions inherited from GeometryStateDialog
| GeometryStateDialog (QWidget *parent, Qt::WindowFlags f=Qt::Window)
| Constructs a new GeometryStateDialog with the specified parent and window flags.
| ~GeometryStateDialog ()
| Save the geometry and splitter state and then destroy the GeometryStateDialog.
void | setWindowModality (Qt::WindowModality windowModality)
| Sets the window modality for the dialog. On non-macOS platforms, this also sets the parent to ensure modal dialogs are always on top of their parent.

## Protected Slots
void | changeEvent (QEvent *event) override
| Handle change events such as language changes.
Protected Slots inherited from WiresharkDialog
void | captureEvent (CaptureEvent e)
| Handles capture events.

## Protected Member Functions
void | keyPressEvent (QKeyEvent *event) override
| Handle key press events.
void | captureFileClosing () override
| Handle capture file closing.
Protected Member Functions inherited from WiresharkDialog
virtual void | accept () override
| Accepts the dialog.
virtual void | reject () override
| Rejects the dialog.
virtual void | beginRetapPackets ()
| Mark the start of a code block that retaps packets. If the user closes the dialog while tapping, the dialog will not be destroyed until endRetapPackets is called.
virtual void | endRetapPackets ()
| Mark the end of a code block that retaps packets. If the user has closed the dialog it will be destroyed at this point.
void | setWindowSubtitle (const QString &subtitle)
| Set the window subtitle, e.g. "Foo Timeouts". The subtitle and file name will be added to the dialog window title.
const QString & | windowSubtitle ()
| Retrieves the current window subtitle.
virtual void | updateWidgets ()
| Updates the state and contents of the dialog's widgets.
bool | registerTapListener (const char *tap_name, void *tap_data, const char *filter, unsigned flags, tap_reset_cb tap_reset, tap_packet_cb tap_packet, tap_draw_cb tap_draw)
| Convenience wrapper for register_tap_listener. Tap listeners registered via this function are automatically removed during destruction. They can also be explicitly removed using remove_tap_listener or removeTapListeners.
virtual void | removeTapListeners ()
| Remove all tap listeners registered via registerTapListener.
bool | listening () const
bool | dialogClosed () const
| Check to see if the user has closed (and not minimized) the dialog.
int | retapDepth () const
| Check to see if we're currently retapping. If this is positive, tapping will fail in process_specified_records.
virtual void | captureFileClosed ()
| Called when the capture file was closed. This can be used to enable or disable widgets according to the state of file_closed_. updateWidgets() is called at the end.
Protected Member Functions inherited from GeometryStateDialog
void | loadGeometry (int width=0, int height=0, const QString &dialog_name=QString())
| Loads the geometry and splitter state for the dialog.
void | loadSplitterState (QSplitter *splitter=nullptr)
| Loads the state of a splitter for the dialog.

## Additional Inherited Members
Protected Attributes inherited from WiresharkDialog
CaptureFile & | cap_file_
| Reference to the underlying capture file.
bool | file_closed_
| Flag indicating if the capture file has been closed.

## Detailed Description

Dialog displaying detail information about a Bluetooth device.

## Constructor & Destructor Documentation

## ◆ BluetoothDeviceDialog()

BluetoothDeviceDialog::BluetoothDeviceDialog | ( | QWidget & | parent,
|  | CaptureFile & | cf,
|  | QString | bdAddr,
|  | QString | name,
|  | uint32_t | interface_id,
|  | uint32_t | adapter_id,
|  | bool | is_local )
| explicit

Construct a BluetoothDeviceDialog.

Parameters

  parent | The parent widget.
  cf | The capture file.
  bdAddr | The Bluetooth device address to display.
  name | The display name of the device.
  interface_id | The interface ID the device was seen on.
  adapter_id | The adapter ID the device was seen on.
  is_local | Whether the device is the local adapter.

## Member Function Documentation

## ◆ captureFileChanged

void BluetoothDeviceDialog::captureFileChanged | ( | capture_file * | cf | ) |
| signal

Emitted when the capture file changes.

Parameters

  cf | The new capture file.

## ◆ captureFileClosing()

void BluetoothDeviceDialog::captureFileClosing | ( |  | ) |
| override protected virtual

Handle capture file closing.

Reimplemented from WiresharkDialog.

## ◆ changeEvent

void BluetoothDeviceDialog::changeEvent | ( | QEvent * | event | ) |
| override protected slot

Handle change events such as language changes.

Parameters

  event | The change event.

## ◆ goToPacket

void BluetoothDeviceDialog::goToPacket | ( | int | packet_num | ) |
| signal

Emitted when the view should navigate to a specific packet.

Parameters

  packet_num | The packet number to navigate to.

## ◆ keyPressEvent()

void BluetoothDeviceDialog::keyPressEvent | ( | QKeyEvent * | event | ) |
| override protected virtual

Handle key press events.

Parameters

  event | The key event.

Reimplemented from WiresharkDialog.

## ◆ updateFilter

void BluetoothDeviceDialog::updateFilter | ( | QString & | filter,
|  | bool | force = false )
| signal

Emitted when the display filter should be updated.

Parameters

  filter | The new filter string.
  force | Whether to force the update even if unchanged.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/bluetooth_device_dialog.h
- /builds/wireshark/wireshark/ui/qt/bluetooth_device_dialog.cpp